Bug 92556 - [maintainer update] deskutils/gdesklets-0.35.3
Summary: [maintainer update] deskutils/gdesklets-0.35.3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Tim Bishop
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-01-30 17:40 UTC by Franz Klammer
Modified: 2006-02-08 08:13 UTC (History)
0 users

See Also:


Attachments
gdesklets_0353.diff (2.57 KB, patch)
2006-01-30 17:40 UTC, Franz Klammer
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Franz Klammer 2006-01-30 17:40:06 UTC

update to 0.35.3
Comment 1 Tim Bishop freebsd_committer 2006-02-06 14:06:04 UTC
On Mon, 2006-01-30 at 18:39 +0100, Franz Klammer wrote:
> >Number:         92556
> >Category:       ports
> >Synopsis:       [maintainer update] deskutils/gdesklets-0.35.3

This update fails to build on 4.x and has an incomplete pkg-plist on
everything else. Can you try and fix this problems?

See here for logs:

http://www.cs.kent.ac.uk/~tdb/tinderbox/index.php?action=describe_port&id=514

Cheers,
Tim.

-- 
Tim Bishop
PGP Key: 0x5AE7D984
Comment 2 Franz Klammer 2006-02-06 14:34:08 UTC
> See here for logs:
> 
> http://www.cs.kent.ac.uk/~tdb/tinderbox/index.php?action=describe_port&id=514

hi!

seems there are no logs available... every time i click on a
log-link i get the "page not found"-page.

cheers

Franz

> 
> Cheers,
> Tim.
>
Comment 3 Tim Bishop freebsd_committer 2006-02-06 14:43:32 UTC
On Mon, 2006-02-06 at 15:34 +0100, Franz Klammer wrote:
> > See here for logs:
> > 
> > http://www.cs.kent.ac.uk/~tdb/tinderbox/index.php?action=describe_port&id=514
> 
> hi!
> 
> seems there are no logs available... every time i click on a
> log-link i get the "page not found"-page.

Sorry - my mistake. Please try again!

Cheers,
Tim.

-- 
Tim Bishop
PGP Key: 0x5AE7D984
Comment 4 Franz Klammer 2006-02-06 18:39:17 UTC
Tim Bishop wrote:
> On Mon, 2006-02-06 at 15:34 +0100, Franz Klammer wrote:
>>> See here for logs:
>>>
>>> http://www.cs.kent.ac.uk/~tdb/tinderbox/index.php?action=describe_port&id=514
>> hi!
>>
>> seems there are no logs available... every time i click on a
>> log-link i get the "page not found"-page.
> 
> Sorry - my mistake. Please try again!

ok! hope that is it

cheers,

franz

---- new diff start ----
diff -Nur gdesklets.orig/Makefile gdesklets/Makefile
--- gdesklets.orig/Makefile	Wed Nov 16 17:12:43 2005
+++ gdesklets/Makefile	Mon Feb  6 19:32:50 2006
@@ -6,10 +6,10 @@
  #

  PORTNAME=	gdesklets
-PORTVERSION=	0.35.2
+PORTVERSION=	0.35.3
  PORTREVISION=	1
  CATEGORIES=	deskutils gnome
-MASTER_SITES=	http://www.gdesklets.org/releases/ \
+MASTER_SITES=	http://www.gdesklets.org/downloads/ \
  		http://www.pycage.de/download/${PORTNAME}/ \
  		${MASTER_SITE_GENTOO:S/%SUBDIR%/distfiles/}
  DISTNAME=	gDesklets-${PORTVERSION}
@@ -39,7 +39,6 @@
  CONFIGURE_ENV=	CPPFLAGS="-I${LOCALBASE}/include -I${X11BASE}/include 
${PTHREAD_CFLAGS}" \
  		LDFLAGS="-L${LOCALBASE}/lib -L${X11BASE}/lib ${PTHREAD_LIBS}"

-GCONF_SCHEMAS=	gdesklets-display-thumbnail.schemas
  MAN1=		gdesklets.1

  post-install:
diff -Nur gdesklets.orig/distinfo gdesklets/distinfo
--- gdesklets.orig/distinfo	Tue Jan 24 19:13:14 2006
+++ gdesklets/distinfo	Mon Feb  6 19:33:19 2006
@@ -1,3 +1,3 @@
-MD5 (gDesklets-0.35.2.tar.bz2) = 8d77add2c07cb374a79a30d1d2055f54
-SHA256 (gDesklets-0.35.2.tar.bz2) = 
b70f959244751b8cf5694abcdc4baeae56d2bf53cd7bac1cef51a254dfe0e2dc
-SIZE (gDesklets-0.35.2.tar.bz2) = 745088
+MD5 (gDesklets-0.35.3.tar.bz2) = 3f9ce7f2ca4522bc96cb9bc4a4b91774
+SHA256 (gDesklets-0.35.3.tar.bz2) = 
7a8df729df1f29b7c37d29739e3188547334781435bf1f9f4fea16d0a29b0c55
+SIZE (gDesklets-0.35.3.tar.bz2) = 718642
diff -Nur gdesklets.orig/files/patch-libdesklets-system-gtop.c 
gdesklets/files/patch-libdesklets-system-gtop.c
--- gdesklets.orig/files/patch-libdesklets-system-gtop.c	Thu Feb 17 
22:17:22 2005
+++ gdesklets/files/patch-libdesklets-system-gtop.c	Mon Feb  6 19:34:30 2006
@@ -1,6 +1,6 @@
---- libdesklets/system/gtop.c.orig	Sat Jan  1 20:33:47 2005
-+++ libdesklets/system/gtop.c	Thu Feb 17 21:53:53 2005
-@@ -48,6 +48,8 @@
+--- libdesklets/system/gtop.c.orig	Tue Jul 26 22:56:27 2005
++++ libdesklets/system/gtop.c	Mon Feb  6 19:33:57 2006
+@@ -46,6 +46,8 @@
   #include <sys/socket.h>
   #include <arpa/inet.h>

@@ -9,3 +9,13 @@

   typedef struct
   {
+@@ -1275,8 +1277,8 @@
+         tuple = PyTuple_New(len);
+
+         for(i = 0; i < len; ++i) {
+-            p = &glibtop_sys_siglist[i];
+             PyObject* d;
++            p = &glibtop_sys_siglist[i];
+
+             d = PyDict_New();
+             my_dict_add_and_decref(d, "number", PyI_L(p->number));
diff -Nur gdesklets.orig/pkg-plist gdesklets/pkg-plist
--- gdesklets.orig/pkg-plist	Thu Oct 27 11:11:55 2005
+++ gdesklets/pkg-plist	Mon Feb  6 19:35:48 2006
@@ -1,5 +1,4 @@
  bin/gdesklets
-bin/gdesklets-display-thumbnailer
  lib/gdesklets/ctrlinfo
  lib/gdesklets/Controls/ArrayBuffer/__init__.py
  lib/gdesklets/Controls/ArrayBuffer/__init__.pyc
@@ -51,9 +50,6 @@
  lib/gdesklets/Controls/__init__.py
  lib/gdesklets/Controls/__init__.pyc
  lib/gdesklets/Controls/__init__.pyo
-lib/gdesklets/NullObject.py
-lib/gdesklets/NullObject.pyc
-lib/gdesklets/NullObject.pyo
  lib/gdesklets/Sensors/External/__init__.py
  lib/gdesklets/Sensors/External/__init__.pyc
  lib/gdesklets/Sensors/External/__init__.pyo
@@ -185,6 +181,9 @@
  lib/gdesklets/display/TargetGroup.py
  lib/gdesklets/display/TargetGroup.pyc
  lib/gdesklets/display/TargetGroup.pyo
+lib/gdesklets/display/TargetGroup2.py
+lib/gdesklets/display/TargetGroup2.pyc
+lib/gdesklets/display/TargetGroup2.pyo
  lib/gdesklets/display/TargetImage.py
  lib/gdesklets/display/TargetImage.pyc
  lib/gdesklets/display/TargetImage.pyo
@@ -575,6 +574,8 @@
  share/locale/ko/LC_MESSAGES/gdesklets.mo
  share/locale/lt/LC_MESSAGES/gdesklets.mo
  share/locale/ms/LC_MESSAGES/gdesklets.mo
+share/locale/nb/LC_MESSAGES/gdesklets.mo
+share/locale/ne/LC_MESSAGES/gdesklets.mo
  share/locale/nl/LC_MESSAGES/gdesklets.mo
  share/locale/no/LC_MESSAGES/gdesklets.mo
  share/locale/pa/LC_MESSAGES/gdesklets.mo
---- new diff end ----
Comment 5 Tim Bishop freebsd_committer 2006-02-06 18:43:41 UTC
Responsible Changed
From-To: freebsd-ports-bugs->tdb

I'll take it.
Comment 6 Tim Bishop freebsd_committer 2006-02-08 08:13:17 UTC
State Changed
From-To: open->closed

Committed. Thanks!